The latest version of classic SmartMusic is supported on MacOS 10.9 through 10.13. Although we are unable to support the program on earlier OS versions, users of MacOS 10.7 and 10.8 can download an earlier version below.

 

Classic SmartMusic - legacy installer

 

If you have already installed the latest version of SmartMusic on MacOS 10.7 or 10.8 and are encountering issues, you will first need to manually uninstall SmartMusic before being able to install the older version. Contact our support team for assistance.

 

Important:

Once installed, open SmartMusic on your computer and click Help > Check for updates. In the resulting window, uncheck Automatically download and apply updates

 

Please note, MacOS 10.7 and 10.8 are no longer receiving updates from Apple and we are unable to provide support or a guarantee that SmartMusic will run as intended on these operating system versions. 

 

Comments

  • Avatar
    Jon Cielinski

    Users who had manually installed the update for High Sierra and were instructed to turn the auto-updater off, can now safely turn updates back on by going clicking on Help > Check for Updates and check "Automatically download and install updates."